<p><?
ini_set('mssql.timeout','150');
set_time_limit(500);

require_once('startinclude.php');
require_once "util_db.php";

$camara=parametro('camara',0);
$boton_tag=parametro('boton_tag',"");
$accion=parametro('accion',"");
include "lib_form.php";
require_once "util_db.php";
include "lecturadb_slow.php";


$numproceso=parametro('numproceso',0);

$boton=parametro('boton',"");


ob_start();

$descripcion="";

function leer_fecha($proceso) {
	// lo lee globalmente y "eternamente".
global $descripcion;
	
	$sql="select * from pf_proceso where id_proceso=$proceso";


	$filas=0;
	

	
	$resultado="";
	ejecutarsql($sql,&$filas,&$resultado);	
	if ($filas) {
	$descripcion="Origen: ".@mssql_result($resultado,0, "origen")."&nbsp;&nbsp;&nbsp;Destino: ".@mssql_result($resultado,0, "destino");
	return @mssql_result($resultado,0, "fecha_inicio");
	} else {
	return 0;
	}
	
}
function actualizarproceso($proceso,$delta) {
	// lo lee globalmente y "eternamente".
$txtdelta=($delta<0)?"+".(-$delta):"-".$delta;


	$sql="update pf_proceso ";
	$sql.="set fecha_inicio=fecha_inicio $txtdelta ";
	$sql.=", fecha_fin=fecha_fin $txtdelta ";
	$sql.=", fecha_ultcam=fecha_ultcam $txtdelta ";
	$sql.=", fecha_inicio_giro1=fecha_inicio_giro1 $txtdelta , fecha_fin_giro1=fecha_fin_giro1 $txtdelta ";
	$sql.=", fecha_inicio_giro2=fecha_inicio_giro2 $txtdelta , fecha_fin_giro2=fecha_fin_giro2 $txtdelta ";
	$sql.=", fecha_inicio_giro3=fecha_inicio_giro3 $txtdelta , fecha_fin_giro3=fecha_fin_giro3 $txtdelta ";
	$sql.=", fecha_inicio_giro3=fecha_inicio_giro4 $txtdelta , fecha_fin_giro3=fecha_fin_giro4 $txtdelta ";
	$sql.=", fecha_inicio_giro3=fecha_inicio_giro5 $txtdelta , fecha_fin_giro3=fecha_fin_giro5 $txtdelta ";	
	$sql.=" where id_proceso=$proceso";


	$filas=0;
	

	
	$resultado="";
	ejecutarsql($sql,&$filas,&$resultado);	
	
	$sql="update pf_historico_proceso set fecha=fecha $txtdelta where proceso=$proceso ";
	ejecutarsql($sql,&$filas,&$resultado);	
	$sql="update pf_log_proceso set fecha=fecha $txtdelta where id_proceso=$proceso ";
	
	ejecutarsql($sql,&$filas,&$resultado);		
}

$fechaepoch= leer_fecha($numproceso);
$fechatexto=cnvepochdatelargo($fechaepoch);

if ($boton=="Cambiar") {

$fechanueva=parametro('fechanueva',"");

$diferencia=$fechaepoch-$fechanueva;

actualizarproceso($numproceso,$diferencia);

$fechanuevatexto=cnvepochdatelargo($fechanueva);

$descripcion="Proceso Cambiado a $fechanuevatexto ";
$fechaepoch0=0;

} else {
$fechaepoch0= $fechaepoch-60;
$fechaepoch1= $fechaepoch+60;


$fechatexto0=cnvepochdatelargo($fechaepoch0);

$fechatexto1=cnvepochdatelargo($fechaepoch1);
}


?></p>
<form name="form1">

<table width="651" cellspacing="0" border="1" bordercolordark="white" bordercolorlight="black" height="224">
    <tr>
        <td width="651" colspan="2">
            <p align="center" style="line-height:100%; margin-top:0; margin-bottom:0;"><img src="images/iconos/history2.gif" width="64" height="64" border="0"></p>
            <p align="center" style="line-height:100%; margin-top:0; margin-bottom:0;"><font size="4"><b>Corrección de Hora</b></font></p>
            <p align="center" style="line-height:100%; margin-top:0; margin-bottom:0;">Solo presione una vez, puede tomar algo de tiempo el realizar el cambio</p>
        </td>
    </tr>
        <tr>
            <td width="268">
                <p><b>Indique Numero de Proceso</b></p>
            </td>
            <td width="383">
                <p><input type="text" style='width:100%' name="numproceso" value="<? echo $numproceso; ?>"></p>
            </td>
        </tr>
		
		<?
		if ($fechaepoch0>0) {
		?>
        <tr>
            <td width="268" height="28">
                <p><b>Fecha y Hora asignada</b></p>
            </td>
            <td width="383" height="28">
                <p><input type="text" style='width:100%' name="fecha" disabled="disabled" value="<?php echo $fechatexto; ?>"></p>
            </td>
        </tr>
		<?php
		}
		if ($descripcion) {
		?>
        <tr>
            <td width="268" height="28">
                <p><b>Descripcion del Proceso</b></p>
            </td>
            <td width="383" height="28">
                <p><input type="text" style='width:100%' name="fecha" disabled="disabled" value="<?php echo $descripcion; ?>"></p>
            </td>
        </tr>		
		<?
		}
		if ($fechaepoch0>0) {
		?>
        <tr>
            <td width="268">
                <p><b>Fecha y Hora Corregida</b></p>
            </td>
            <td width="383">
                <p><select name="fechanueva" style='width:100%' size="1">
                    <option value="<? echo $fechaepoch0; ?>"><?php echo $fechatexto0; ?></option>
                    <option selected value="<? echo $fechaepoch; ?>"><?php echo $fechatexto; ?> (fecha actual)</option>
                    <option value="<? echo $fechaepoch1; ?>"><?php echo $fechatexto1; ?></option>
</select></p>
            </td>

        </tr>
    <tr>
	<?
	}
	?>
	
        <td width="651" colspan="2">
            <?
			if ($fechaepoch0<=0) {
                echo "<p align='center'><input name='boton' type='submit' value='Consultar'> </p>\n";
			} else {
                echo "<p align='center'><input name='boton' type='submit' value='Cambiar'> </p>\n";			
			}
?>            
        </td>
    </tr>
</table>
</form>

<p>&nbsp;</p>
